Package com.independentsoft.graph.sites

# Class LookupColumn

java.lang.Object
com.independentsoft.graph.sites.Column
com.independentsoft.graph.sites.LookupColumn

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class LookupColumn extends Column

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookupColumn()`
  `LookupColumn​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allowMultipleValues()`
  `boolean`
  `allowUnlimitedLength()`
  `String`
  `getColumnName()`
  `String`
  `getListId()`
  `String`
  `getPrimaryLookupColumnId()`
  `void`
  `setAllowMultipleValues​(boolean allowMultipleValues)`
  `void`
  `setAllowUnlimitedLength​(boolean allowUnlimitedLength)`
  `void`
  `setColumnName​(String columnName)`
  `void`
  `setListId​(String listId)`
  `void`
  `setPrimaryLookupColumnId​(String primaryLookupColumnId)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LookupColumn

    public LookupColumn()

  - ### LookupColumn

    public LookupColumn​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### allowMultipleValues

    public boolean allowMultipleValues()

  - ### setAllowMultipleValues

    public void setAllowMultipleValues​(boolean allowMultipleValues)

  - ### allowUnlimitedLength

    public boolean allowUnlimitedLength()

  - ### setAllowUnlimitedLength

    public void setAllowUnlimitedLength​(boolean allowUnlimitedLength)

  - ### getColumnName

    public String getColumnName()

  - ### setColumnName

    public void setColumnName​(String columnName)

  - ### getListId

    public String getListId()

  - ### setListId

    public void setListId​(String listId)

  - ### getPrimaryLookupColumnId

    public String getPrimaryLookupColumnId()

  - ### setPrimaryLookupColumnId

    public void setPrimaryLookupColumnId​(String primaryLookupColumnId)